## libzeep 5.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libzeep VERSION 5.1.7 LANGUAGES CXX)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include(GNUInstallDirs)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(FindFilesystem)
include(CheckLibraryExists)
include(CMakePackageConfigHelpers)
include(Dart)
include(GenerateExportHeader)

set(CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Filesystem REQUIRED)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers")
elseif(MSVC)
    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /W4")
endif()

# Build shared libraries by default (not my cup of tea, but hey)
option(BUILD_SHARED_LIBS "Build a shared library instead of a static one" OFF)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(MSVC)
    # make msvc standards compliant...
    add_compile_options(/permissive-)

	macro(get_WIN32_WINNT version)
		if (WIN32 AND CMAKE_SYSTEM_VERSION)
			set(ver ${CMAKE_SYSTEM_VERSION})
			string(REPLACE "." "" ver ${ver})
			string(REGEX REPLACE "([0-9])" "0\\1" ver ${ver})

			set(${version} "0x${ver}")
		endif()
	endmacro()

	get_WIN32_WINNT(ver)
	add_definitions(-D_WIN32_WINNT=${ver})

	# On Windows, do not install in the system location by default
	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		message("The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/zeep")
		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/zeep" CACHE PATH "..." FORCE)
	endif()
endif()

# Optionally use mrc to create resources
if(WIN32 AND BUILD_SHARED_LIBS)
	message("Not using resources when building shared libraries for Windows")
else()
	find_package(Mrc)

	if(MRC_FOUND)
		option(USE_RSRC "Use mrc to create resources" ON)
	else()
		message(STATUS "Not using resources since mrc was not found")
	endif()

	if(USE_RSRC)
		message("Using resources compiled with ${MRC_EXECUTABLE}")
		set(WEBAPP_USES_RESOURCES 1)
		mrc_write_header(${CMAKE_BINARY_DIR}/mrsrc.hpp)
	endif()
endif()

set(CMAKE_THREAD_PREFER_PTHREAD)
set(THREADS_PREFER_PTHREAD_FLAG)
find_package(Threads REQUIRED)

set(Boost_DETAILED_FAILURE_MSG ON)
if(NOT BUILD_SHARED_LIBS)
	set(Boost_USE_STATIC_LIBS ON)
endif()
find_package(Boost 1.70.0 REQUIRED COMPONENTS program_options system date_time regex)

if(UNIX)
	find_file(HAVE_SYS_WAIT_H "sys/wait.h")
	if(HAVE_SYS_WAIT_H)
		set(HTTP_SERVER_HAS_PREFORK 1)
	endif()
endif()

list(APPEND ZEEP_HEADERS
	${CMAKE_SOURCE_DIR}/include/zeep/crypto.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/streambuf.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/value-serializer.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/config.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/document.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/parser.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/xpath.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/node.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/character-classification.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/serialize.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/xml/doctype.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/type-traits.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/to_element.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/element.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/factory.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/serializer.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/parser.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/type_traits.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/from_element.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/element_fwd.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/json/iterator.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/controller.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/message-parser.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/tag-processor.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/connection.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/server.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/daemon.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/error-handler.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/reply.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/template-processor.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/header.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/request.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/rest-controller.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/soap-controller.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/html-controller.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/security.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/uri.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/el-processing.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/http/login-controller.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/unicode-support.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/nvp.hpp
	${CMAKE_SOURCE_DIR}/include/zeep/exception.hpp
)

set(ZEEP_SRC
	${CMAKE_SOURCE_DIR}/lib-http/src/connection.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/controller.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/controller-rsrc.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/crypto.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/daemon.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/el-processing.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/error-handler.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/format.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/glob.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/html-controller.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/login-controller.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/message-parser.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/reply.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/request.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/rest-controller.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/security.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/server.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/uri.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/soap-controller.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor-v2.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/template-processor.cpp
	${CMAKE_SOURCE_DIR}/lib-http/src/signals.cpp
	${CMAKE_SOURCE_DIR}/lib-json/src/element.cpp
	${CMAKE_SOURCE_DIR}/lib-json/src/json-parser.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/character-classification.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/doctype.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/document.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/node.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/xml-parser.cpp
	${CMAKE_SOURCE_DIR}/lib-xml/src/xpath.cpp
)

if(HTTP_SERVER_HAS_PREFORK)
	list(APPEND ZEEP_HEADERS ${CMAKE_SOURCE_DIR}/include/zeep/http/preforked-server.hpp)
	list(APPEND ZEEP_SRC ${CMAKE_SOURCE_DIR}/lib-http/src/preforked-server.cpp)
endif()

add_library(zeep ${ZEEP_SRC} ${ZEEP_HEADERS})
set_target_properties(zeep PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_include_directories(zeep
	PUBLIC
	"$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>"
	"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
	${Boost_INCLUDE_DIR}
)

target_link_libraries(zeep PUBLIC Boost::regex Boost::date_time Threads::Threads ${STDCPPFS_LIBRARY})

if (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
    target_link_options(zeep PRIVATE -undefined dynamic_lookup)
endif (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")

set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR} )
set(LIBRARY_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} )

generate_export_header(zeep EXPORT_FILE_NAME zeep/zeep_export.hpp)

# Install rules

install(TARGETS zeep
	EXPORT zeepTargets
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

install(EXPORT zeepTargets
	FILE "zeepTargets.cmake"
	NAMESPACE zeep::
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/zeep
)

install(
	DIRECTORY include/zeep
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
	COMPONENT Devel
	PATTERN "config.hpp.in" EXCLUDE
)

install(
	FILES "${CMAKE_CURRENT_BINARY_DIR}/zeep/zeep_export.hpp"
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/zeep
	COMPONENT Devel
)

configure_package_config_file(Config.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/zeep/zeepConfig.cmake
	INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/zeep
	PATH_VARS INCLUDE_INSTALL_DIR LIBRARY_INSTALL_DIR
)

install(FILES
		"${CMAKE_CURRENT_BINARY_DIR}/zeep/zeepConfig.cmake"
		"${CMAKE_CURRENT_BINARY_DIR}/zeep/zeepConfigVersion.cmake"
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/zeep
	COMPONENT Devel
)

set(zeep_MAJOR_VERSION 5)
set_target_properties(zeep PROPERTIES
	VERSION ${PROJECT_VERSION}
	SOVERSION 5.1
	INTERFACE_zeep_MAJOR_VERSION 5)

set_property(TARGET zeep APPEND PROPERTY
  COMPATIBLE_INTERFACE_STRING zeep_MAJOR_VERSION
)

write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/zeep/zeepConfigVersion.cmake"
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion
)

# Config file

set(LIBZEEP_VERSION ${PROJECT_VERSION})
set(LIBZEEP_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(LIBZEEP_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(LIBZEEP_VERSION_PATCH ${PROJECT_VERSION_PATCH})
configure_file("${CMAKE_SOURCE_DIR}/include/zeep/config.hpp.in" "${CMAKE_SOURCE_DIR}/include/zeep/config.hpp" @ONLY)

# pkgconfig support

set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
set(includedir  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzeep.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc.in @ONLY)
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc
	INPUT ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc.in)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# Documentation
option(ZEEP_BUILD_DOC "Build documentation" OFF)

if(ZEEP_BUILD_DOC)
	find_program(DOXYGEN doxygen)
	find_program(QUICKBOOK quickbook)
	find_program(XSLTPROC xsltproc)
	find_program(FOP fop)
	find_program(BJAM bjam)

	if(NOT DOXYGEN)
		list(APPEND MISSING_DOC_TOOL_LIST doxygen)
	endif()
	if(NOT QUICKBOOK)
		list(APPEND MISSING_DOC_TOOL_LIST quickbook)
	endif()
	if(NOT XSLTPROC)
		list(APPEND MISSING_DOC_TOOL_LIST xsltproc)
	endif()
	if(NOT FOP)
		list(APPEND MISSING_DOC_TOOL_LIST fop)
	endif()
	if(NOT BJAM)
		list(APPEND MISSING_DOC_TOOL_LIST bjam)
	endif()

	if(DEFINED MISSING_DOC_TOOL_LIST)
		list(JOIN MISSING_DOC_TOOL_LIST ", " MISSING_DOC_TOOLS)
		message(FATAL_ERROR "Cannot create documentation since the following applications could not be found: ${MISSING_DOC_TOOLS}")
	endif()

	make_directory(doc)

	if(UNIX)
		set(QUICKBOOK_SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/quickbook.sh")

		configure_file(${CMAKE_SOURCE_DIR}/doc/tools/quickbook.sh.in
			${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
			@ONLY)
		file(COPY ${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
			DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
			FILE_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ)
		file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/tmp/)
	else()
		set(QUICKBOOK_SCRIPT ${QUICKBOOK})
	endif()

	configure_file(${CMAKE_SOURCE_DIR}/doc/Jamfile.v2.in ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2 @ONLY)
	
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/doc/html/index.html
			${CMAKE_SOURCE_DIR}/doc/html ${CMAKE_SOURCE_DIR}/doc/bin
			${CMAKE_SOURCE_DIR}/doc/autodoc.xml
		COMMAND ${BJAM} ${CMAKE_SOURCE_DIR}/doc
		DEPENDS ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2)
	add_custom_target(doc ALL DEPENDS ${CMAKE_SOURCE_DIR}/doc/html/index.html)
	install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PACKAGE_NAME})
endif()

# Test applications

option(ZEEP_BUILD_TESTS "Build test executables" OFF)

if(ZEEP_BUILD_TESTS)

	enable_testing()

	# data files for the parser test

	add_library(client_test OBJECT ${CMAKE_SOURCE_DIR}/lib-http/test/client-test-code.cpp)
	target_include_directories(client_test PRIVATE
		${CMAKE_CURRENT_SOURCE_DIR}/include
		${CMAKE_CURRENT_BINARY_DIR}  # for config.h
		${CMAKE_SOURCE_DIR}/include
		${Boost_INCLUDE_DIR}
	)

	# data files for the parser test
	set(XML_CONF_TAR ${CMAKE_SOURCE_DIR}/lib-xml/test/XML-Test-Suite.tbz)
	set(XML_CONF_FILE ${CMAKE_SOURCE_DIR}/lib-xml/test/XML-Test-Suite/xmlconf/xmlconf.xml)

## libzeep 2.9.0

=== debian/changelog ===
libzeep (2.9.0-2) unstable; urgency=low

  * Work arounds for compilation failures on i386-hurd and s390
  * Added the include-binaries file to the svn repository.

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 22 May 2012 10:00:00 +0200

libzeep (2.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #671481)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 07 May 2012 10:00:00 +0200

=== debian/control ===
Source: libzeep
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
Build-Depends: debhelper (>= 7.0.50~),
               libboost-dev (>= 1.46.1),
               libboost-filesystem-dev (>= 1.46.1), 
               libboost-system-dev (>= 1.46.1), 
               libboost-regex-dev (>= 1.46.1), 
               libboost-math-dev (>= 1.46.1), 
               libboost-thread-dev (>= 1.46.1)
Standards-Version: 3.9.3
Section: libs
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libzeep/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libzeep/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.cmbi.ru.nl/libzeep/

Package: libzeep-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libzeep2.9 (= ${binary:Version}),
         libboost-dev (>= 1.46.1),
         libboost-filesystem-dev (>= 1.46.1), 
         libboost-system-dev (>= 1.46.1), 
         libboost-regex-dev (>= 1.46.1), 
         libboost-thread-dev (>= 1.46.1)
Description: Development files for libzeep
 Libzeep is a C++ library providing a validating XML parser, XML DOM tree
 implementation, XPath 1.0 support and code to create SOAP/REST servers as
 well as a full web application framework.
 .
 libzeep was originally designed to create SOAP servers in C++ easily. The
 current incarnation provides a full validating XML parser creating a DOM tree
 that can be iterated using STL container like methods. The tree can be searched
 using XPath 1.0 queries.
 .
 There's also code to create SOAP and REST servers based allowing to export
 C++ methods as web services. And there's a full web application framework to
 create dynamic web sites in C++ and XHTML.
 .
 This specific package contains all files needed to develop new
 software using libzeep.

Package: libzeep2.9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library files for libzeep
 Libzeep is a C++ library providing a validating XML parser, XML DOM tree
 implementation, XPath 1.0 support and code to create SOAP/REST servers as
 well as a full web application framework.
 .
 libzeep was originally designed to create SOAP servers in C++ easily. The
 current incarnation provides a full validating XML parser creating a DOM tree
 that can be iterated using STL container like methods. The tree can be searched
 using XPath 1.0 queries.
 .
 There's also code to create SOAP and REST servers based allowing to export
 C++ methods as web services. And there's a full web application framework to
 create dynamic web sites in C++ and XHTML.
 .
 This package contains the shared library only.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

%:
	dh $@ --parallel

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) lib

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep2.9 install-libs
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev

.PHONY: get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

## libzeep 3.0.2

=== debian/changelog ===
libzeep (3.0.2-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop useless get-orig-source target

  [ Giovanni Mascellani ]
  * Fix for Boost version 1.67.
    Closes: #911886

 -- Andreas Tille <tille@debian.org>  Fri, 26 Oct 2018 08:07:31 +0200

libzeep (3.0.2-6) unstable; urgency=medium

  [ Steve Langasek ]
  * update for g++7 + boost 1.65 compatibility
    Closes: #893352

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 18 Mar 2018 16:23:56 +0100

libzeep (3.0.2-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Remove unused override
  * hardening=+all
  * Fix Spelling

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2017 08:39:17 +0100

libzeep (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * d/p/libzeep-3.0-g++6-boost1.60.patch: correct compiling with 
    libboost1.60 in combination with g++ Closes: #824013
  * d/control: cme fix dpkg-control 
  * d/control: set secure url for repository viewer 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 13 May 2016 07:41:01 +0000

libzeep (3.0.2-3) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition.
    (thanks for the patch to Steve Langasek <steve.langasek@ubuntu.com>)
    Closes: #791187

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2015 21:20:27 +0200

libzeep (3.0.2-2) unstable; urgency=medium

  * Add myself as Uploader
  * debhelper 9
  * cme fix dpkg-control
  * fix Homepage
  * d/copyright: sequence of paragraphs
  * fix linking order for ld --as-needed (Thanks for the patch to Logan Rosen
    <logan@ubuntu.com>)
    Closes: #773339

 -- Andreas Tille <tille@debian.org>  Mon, 09 Mar 2015 14:09:19 +0100

libzeep (3.0.2-1) unstable; urgency=low

  * New upstream release with fix for gcc 4.7 compiler

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Tue, 25 Jun 2013 10:00:00 +0200

libzeep (3.0.1-1) unstable; urgency=low

  * New upstream release with fix for IBM S/390 (Closes: #710543)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 06 Jun 2013 10:00:00 +0200

libzeep (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/control: set standadrd to 3.9.4 (no changes)

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Wed, 29 May 2013 10:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: libzeep
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
-Build-Depends: debhelper (>= 7.0.50~),
-               libboost-dev (>= 1.46.1),
-               libboost-filesystem-dev (>= 1.46.1), 
-               libboost-system-dev (>= 1.46.1), 
-               libboost-regex-dev (>= 1.46.1), 
-               libboost-math-dev (>= 1.46.1), 
-               libboost-thread-dev (>= 1.46.1)
-Standards-Version: 3.9.3
+           Andreas Tille <tille@debian.org>
 Section: libs
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libzeep/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libzeep/trunk/
-DM-Upload-Allowed: yes
-Homepage: http://www.cmbi.ru.nl/libzeep/
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-system-dev,
+               libboost-regex-dev,
+               libboost-math-dev,
+               libboost-thread-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libzeep
+Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
+Homepage: http://sourceforge.net/projects/libzeep/
 
 Package: libzeep-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, libzeep2.9 (= ${binary:Version}),
-         libboost-dev (>= 1.46.1),
-         libboost-filesystem-dev (>= 1.46.1), 
-         libboost-system-dev (>= 1.46.1), 
-         libboost-regex-dev (>= 1.46.1), 
-         libboost-thread-dev (>= 1.46.1)
+Depends: ${misc:Depends},
+         libzeep3.0v5 (= ${binary:Version}),
+         libboost-dev,
+         libboost-filesystem-dev,
+         libboost-system-dev,
+         libboost-regex-dev,
+         libboost-thread-dev
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
@@ -42,9 +43,12 @@
  This specific package contains all files needed to develop new
  software using libzeep.
 
-Package: libzeep2.9
+Package: libzeep3.0v5
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Conflicts: libzeep3.0
+Replaces: libzeep3.0
 Description: Library files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) lib

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep3.0v5 install-libs
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev

=== debian/watch ===
# Note: May be it is better to point to sf.net ???

version=3
opts="pasv" \
ftp://ftp.cmbi.ru.nl/pub/software/libzeep/libzeep-([0-9.]+).t[bg]z  debian uupdate

## libzeep 3.0.5

=== debian/changelog ===
libzeep (3.0.5-2build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:54:30 +0100

libzeep (3.0.5-2build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:36 +0100

libzeep (3.0.5-2build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:02:03 +0000

libzeep (3.0.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:59:05 +0000

libzeep (3.0.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #929274)
    + Let dh_auto_build pass cross tools to make.
    + nostrip.patch: Defer all stripping to dh_strip.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 3.0.1-1, 2.9.0-2, 2.9.0-1.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 12:56:43 +0200

libzeep (3.0.5-1) experimental; urgency=medium

  [ Maarten L. Hekkelman ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 09 May 2019 11:25:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,28 @@
 Source: libzeep
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libboost-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
                libboost-regex-dev,
                libboost-math-dev,
-               libboost-thread-dev
-Standards-Version: 4.2.1
+               libboost-thread-dev,
+               libboost-program-options-dev,
+               libboost-random-dev,
+               libboost-tools-dev,
+               doxygen,
+               docbook-xsl,
+               docbook-website,
+               xsltproc
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep
 Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
-Homepage: http://sourceforge.net/projects/libzeep/
+Homepage: https://github.com/mhekkel/libzeep
 
 Package: libzeep-dev
 Architecture: any
@@ -25,7 +33,9 @@
          libboost-filesystem-dev,
          libboost-system-dev,
          libboost-regex-dev,
-         libboost-thread-dev
+         libboost-thread-dev,
+         libboost-program-options-dev,
+         libboost-random-dev
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) lib
+	dh_auto_build -- lib
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep3.0v5 install-libs

## libzeep 5.0.2

=== debian/changelog ===
libzeep (5.0.2-3) unstable; urgency=medium

  * Fix autopkgtest control file (needed one more dependency)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 16 Nov 2020 14:18:01 +0100

libzeep (5.0.2-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 08:21:10 +0100

libzeep (5.0.2-1) unstable; urgency=medium

  * Fix FTBFS (Closes: #974074)
  * New upstream release
  * Add autopkgtest

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 14 Nov 2020 12:44:57 +0100

libzeep (5.0.1-1) unstable; urgency=medium

  * Fix writing HTML, proper empty elements
  * Fix endian issue in SHA algorithm
  * more robust http tests
  * Fix FTBFS: (Closes: #973526)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 09 Nov 2020 10:04:29 +0100

libzeep (5.0.0-3) unstable; urgency=medium

  * Update debian/control, moved depends from Build-Depends-indep to Build-Depends
  * Added mrc as requirement for build, suggestion for install

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 31 Oct 2020 10:26:02 +0100

libzeep (5.0.0-2) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * strip source/options fix debian/copyright file
  * copyright of css file

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 15:27:27 +0100

libzeep (5.0.0-1) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * New upstream release

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 08 Sep 2020 20:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,38 @@
 Source: libzeep
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                libboost-dev,
-               libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-date-time-dev,
                libboost-system-dev,
-               libboost-regex-dev,
-               libboost-math-dev,
-               libboost-thread-dev,
-               libboost-program-options-dev,
-               libboost-random-dev,
                libboost-tools-dev,
+               mrc,
                doxygen,
-               docbook-xsl,
                docbook-website,
-               xsltproc
-Standards-Version: 4.4.0
+               xsltproc,
+               fop
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep
 Vcs-Git: https://salsa.debian.org/med-team/libzeep.git
 Homepage: https://github.com/mhekkel/libzeep
+Rules-Requires-Root: no
 
 Package: libzeep-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libzeep3.0v5 (= ${binary:Version}),
+         libzeep5 (= ${binary:Version}),
          libboost-dev,
-         libboost-filesystem-dev,
+         libboost-program-options-dev,
+         libboost-date-time-dev,
          libboost-system-dev,
-         libboost-regex-dev,
-         libboost-thread-dev,
-         libboost-program-options-dev,
-         libboost-random-dev
+         pkg-config
+Suggests: libzeep-doc, mrc
 Description: Development files for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
@@ -53,13 +50,34 @@
  This specific package contains all files needed to develop new
  software using libzeep.
 
-Package: libzeep3.0v5
+Package: libzeep-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Suggests: libzeep-dev (>= ${binary:Version})
+Description: Documentation for libzeep
+ Libzeep is a C++ library providing a validating XML parser, XML DOM tree
+ implementation, XPath 1.0 support and code to create SOAP/REST servers as
+ well as a full web application framework.
+ .
+ libzeep was originally designed to create SOAP servers in C++ easily. The
+ current incarnation provides a full validating XML parser creating a DOM tree
+ that can be iterated using STL container like methods. The tree can be searched
+ using XPath 1.0 queries.
+ .
+ There's also code to create SOAP and REST servers based allowing to export
+ C++ methods as web services. And there's a full web application framework to
+ create dynamic web sites in C++ and XHTML.
+ .
+ This specific package contains the documentation you can use to develop new
+ software using libzeep.
+
+Package: libzeep5
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libzeep3.0
-Replaces: libzeep3.0
-Description: Library files for libzeep
+Description: Library file for libzeep
  Libzeep is a C++ library providing a validating XML parser, XML DOM tree
  implementation, XPath 1.0 support and code to create SOAP/REST servers as
  well as a full web application framework.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Fixing reproducible builds
LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-documentation

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep5 install-lib
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-dev install-dev
	$(MAKE) DESTDIR=$(CURDIR)/debian/libzeep-doc install-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif

override_dh_install:
	## cleaning up dependency_libs filed in *.la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	dh_install

## libzeep 5.1.7

=== debian/changelog ===
libzeep (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 03 Feb 2022 08:27:42 +0100

libzeep (5.1.4-1) unstable; urgency=medium

  * New upstream release, new cmake files
  * Fixed compilation with g++-11 (Closes: #984034, #984216)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 29 Sep 2021 15:49:00 +0200

libzeep (5.1.3-1) unstable; urgency=medium

  * New upstream release, bringing reproducible builds and new SONAME.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 08 Sep 2021 13:47:00 +0200

libzeep (5.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #984216)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 03 Sep 2021 15:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               autoconf-archive,
+               cmake,
                libboost-dev,
                libboost-program-options-dev,
                libboost-date-time-dev,
+               libboost-regex-dev,
                libboost-system-dev,
                libboost-tools-dev,
                mrc,
@@ -26,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libzeep5 (= ${binary:Version}),
+         libzeep5.1 (= ${binary:Version}),
          libboost-dev,
          libboost-program-options-dev,
          libboost-date-time-dev,
@@ -73,7 +74,7 @@
  This specific package contains the documentation you can use to develop new
  software using libzeep.
 
-Package: libzeep5
+Package: libzeep5.1
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libzeep-$1\.tar\.gz/ \
  https://github.com/mhekkel/libzeep/tags .*/v?(\d\S+)\.tar\.gz

## libzeep 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(libzeep VERSION 5.1.7 LANGUAGES CXX)
+project(libzeep VERSION 5.1.8 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== debian/changelog ===
libzeep (5.1.8-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Dec 2023 07:48:52 +0000

libzeep (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 24 Nov 2022 12:40:13 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                doxygen,
                docbook-website,
                xsltproc,
+               default-jre-headless,
                fop
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzeep

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Fixing reproducible builds
LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON -DUSE_RSRC=ON -DZEEP_BUILD_DOC=ON -DZEEP_BUILD_TESTS=ON
